function bind(this)
%BIND overload of the java.net.ServerSocket bind method
%
%   BIND(THIS) uses the simple.ServerSocket properties address and port and
%   superclass bind method to bind this instance to an address.
%
%   INPUTS:
%       THIS  : this instance of simple.ServerSocket
%
%   See Also: simple.Socket

    % use the object socket and port port properties to bind this instance
    % to a address calling the superclass bind method
    inetAddress = java.net.InetSocketAddress(this.address, this.port);
    this.java.bind(inetAddress);

end